## org.eclipse.uml2.codegen.ecore.genmodel.generator
Class UML2GenPackageGeneratorAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
          org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
              org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter
                  org.eclipse.uml2.codegen.ecore.genmodel.generator.UML2GenBaseGeneratorAdapter
                      org.eclipse.uml2.codegen.ecore.genmodel.generator.UML2GenPackageGeneratorAdapter

All Implemented Interfaces:
  org.eclipse.emf.codegen.ecore.generator.GeneratorAdapter, org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public class UML2GenPackageGeneratorAdapter

extends UML2GenBaseGeneratorAdapter

Since:
  1.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
`org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary
`protected static int` `RESOURCE_INTERFACE_ID`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter
`EDIT_PROJECT_TYPE, EDITOR_PROJECT_TYPE, MODEL_PROJECT_TYPE, TESTS_PROJECT_TYPE`

Fields inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter
`adapterFactory, generatingObject, gifEmitters, importManager, jetEmitters, lineDelimiter, MANIFEST_ENCODING, message, OBJECT_ARGUMENT, PROPERTIES_ENCODING, uriConverter`

Fields inherited from class org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
`targets`

Constructor Summary
`UML2GenPackageGeneratorAdapter(org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory generatorAdapterFactory)`

Method Summary
`protected org.eclipse.emf.common.util.Diagnostic` `generateModel(java.lang.Object object, org.eclipse.emf.common.util.Monitor monitor)`
`protected void` `generateResourceInterface(GenPackage genPackage, org.eclipse.emf.common.util.Monitor monitor)`
`protected org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor[]` `getJETEmitterDescriptors()`

Methods inherited from class org.eclipse.uml2.codegen.ecore.genmodel.generator.UML2GenBaseGeneratorAdapter
`addClasspathEntries, addUML2ClasspathEntries`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter

`addBaseTemplatePathEntries, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateModel, canGenerateTests, clearImportManager, createImportManager, doGenerate, ensureProjectExists, generateEdit, generateEditor, generateTests, getGenerateChildren, getGenerateEditChildren, getGenerateEditorChildren, getGenerateModelChildren, getGenerateTestsChildren, getParent, getUserTemplatePath, setLineDelimiter`

Methods inherited from class org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter

`createCodeFormatter, createGIFEmitter, createInputStream, createJETEmitter, createMonitor, createOutputStream, doPostGenerate, doPreGenerate, ensureContainerExists, exists, formatCode, generate, generateGIF, generateJava, generateProperties, generateText, getAdapterFactory, getCanGenerateChildren, getCanGenerateParent, getContents, getEncoding, getGenerateParent, getGenerator, getGIFEmitter, getImportManager, getJETEmitter, getLineDelimiter, getLineDelimiter, getURIConverter, isAdapterForType, isReadOnly, postGenerate, preGenerate, setAdapterFactory, setStaticTemplateClass, setStaticTemplateClass, setWriteable, toDiagnostic, toPlatformResourceURI, toURI, validateEdit`

Methods inherited from class org.eclipse.emf.common.notify.impl.SingletonAdapterImpl
`dispose, getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.generator.GeneratorAdapter
`dispose`

Field Detail

### RESOURCE_INTERFACE_ID

    protected static final int RESOURCE_INTERFACE_ID

See Also:
  Constant Field Values

Constructor Detail

### UML2GenPackageGeneratorAdapter

    public UML2GenPackageGeneratorAdapter(org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory generatorAdapterFactory)

Method Detail

### getJETEmitterDescriptors

    protected org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor[] getJETEmitterDescriptors()

### generateModel

    protected org.eclipse.emf.common.util.Diagnostic generateModel(java.lang.Object object,
                                                                   org.eclipse.emf.common.util.Monitor monitor)

  Overrides:
    `generateModel` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenBaseGeneratorAdapter`

### generateResourceInterface

    protected void generateResourceInterface(GenPackage genPackage,
                                             org.eclipse.emf.common.util.Monitor monitor)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.